%define api 1.0
%define major 0
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Name:           gitg
Version:        0.2.5
Release:        %mkrel 1
Summary:        GTK+ graphical interface for the git revision control system

Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            http://trac.novowork.com/gitg
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  dbus-devel
BuildRequires:  libGConf2-devel
BuildRequires:  glib2-devel >= 1:2.26
BuildRequires:  gtk+3-devel
BuildRequires:  gtksourceview3-devel >= 3.1.3
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  intltool
Requires:       git
Requires:	%libname >= %version-%release

%description
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %libname
Group: System/Libraries
Summary: Shared library parts of %name

%description -n %libname
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%package -n %develname
Group: Development/C
Summary: Development library parts of %name
Requires: %libname = %version-%release
Provides: libgitg-devel = %version-%release

%description -n %develname
gitg is a GitX clone for GNOME/gtk+. It aims at being a small, fast and
convenient tool to visualize git history and actions that benefit from a
graphical presentation.

%prep
%setup -q


%build
%configure2_5x --disable-static --disable-maintainer-mode
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README

%{_bindir}/gitg
%_datadir/icons/hicolor/*/apps/gitg*
%{_datadir}/gitg
%_datadir/glib-2.0/schemas/org.gnome.gitg.gschema.xml
%{_mandir}/man1/gitg.1*

%{_datadir}/applications/gitg.desktop

%files -n %libname
%defattr(-,root,root,-)
%_libdir/libgitg-%api.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%doc ChangeLog
%_includedir/libgitg-%api
%_libdir/libgitg-%api.so
%_libdir/pkgconfig/libgitg-%api.pc


%changelog
* Fri Mar 30 2012 Götz Waschk <waschk@mandriva.org> 0.2.5-1mdv2012.0
+ Revision: 788330
- update build deps
- disable deprecation errors
- new version
- gtk 3.x

* Sun Mar 27 2011 Götz Waschk <waschk@mandriva.org> 0.1.2-1
+ Revision: 648625
- update to new version 0.1.2

* Thu Jan 13 2011 Götz Waschk <waschk@mandriva.org> 0.1.0-1
+ Revision: 631022
- new version
- update build deps
- update file list

* Thu Dec 30 2010 Götz Waschk <waschk@mandriva.org> 0.0.8-1mdv2011.0
+ Revision: 626466
- update to new version 0.0.8

* Wed Dec 29 2010 Götz Waschk <waschk@mandriva.org> 0.0.7-1mdv2011.0
+ Revision: 625994
- new version
- add library packages

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.6-5mdv2011.0
+ Revision: 610856
- rebuild

* Sun Feb 21 2010 Götz Waschk <waschk@mandriva.org> 0.0.6-4mdv2010.1
+ Revision: 509182
- import gitg


* Sun Feb 21 2010 Götz Waschk <waschk@mandriva.org> 0.0.6-1mdv2010.1
- adapt for Mandriva

* Tue Sep 15 2009 James Bowes <jbowes@redhat.com> 0.0.5-1
- Update to 0.0.5

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 02 2009 James Bowes <jbowes@redhat.com> 0.0.3-1
- Initial packaging for Fedora.

